Quality Management
Update a quality assessment
PATCH /quality/assessment/{id}
PATCH /quality/assessment/{id}
Update an assessment including scores, reasons, supervisor notes, and dates. User must have permission to edit this assessment (qualityDoAssessmentsTeam or qualityDoAssessmentsAll).
Automatically transitions state from aiReady to reviewOngoing when edits are made.
Path parameters
idintegerpathrequiredAssessment ID
Request body
aiSummarystringbodyAI-generated summary (editable by supervisors)
supervisorAssessmentstringbodySupervisor's free-form assessment text
assessmentDatestringbodyDate when assessment was completed
discussionDatestringbodyDate when assessment was discussed with assessee
criteriaobject[]bodyArray of criterion updates
stateenumbodyTransition to a new state Options: reviewedBySupervisor, discussedWithAssessee
Request Example
{
"aiSummary": "string",
"supervisorAssessment": "string",
"assessmentDate": "2026-01-01T12:00:00Z",
"discussionDate": "2026-01-01T12:00:00Z",
"criteria": [
{
"categoryId": 1,
"criterionId": 2,
"score": 5,
"reason": "Great intro"
}
],
"state": "reviewedBySupervisor"
}Responses
200 — Assessment updated successfully
Response Example
{
"id": 1,
"scorecardId": 1,
"scorecardBaseId": 1,
"state": "aiReady",
"assessedUser": 42,
"assessedByUser": 1,
"ticketId": 12345,
"worklogId": 1,
"aiSummary": "Good job overall, scored 85%",
"totals": {
"scoredPoints": 24,
"usedMaxPoints": 32,
"totalMaxPoints": 47,
"percentage": 75
},
"data": {
"aiSummary": "string",
"general": null,
"aiUsage": null,
"time": null,
"customerExperience": null,
"categories": [
null
],
"totals": null,
"supervisorAssessment": "string",
"assessmentDate": "2026-01-01T12:00:00Z",
"discussionDate": "2026-01-01T12:00:00Z"
},
"createdAt": "2026-01-01T12:00:00Z",
"modifiedAt": "2026-01-01T12:00:00Z",
"canEdit": true
}403 — Unauthorized (no permission to edit this assessment)
404 — Assessment not found
500 — Internal error